### Constant

# FwupdPlugin DEVICE_PRIVATE_FLAG_STRICT_EMULATION_ORDER

#### Declaration

    #define FU_DEVICE_PRIVATE_FLAG_STRICT_EMULATION_ORDER "strict-emulation-order"

#### Description

Do not allow out-of-order or skipped emulation events. This allows a developer to refactor a plugin ensuring that the device behavior remains 100% unchanged.

NOTE: This is probably only useful to set in `FuDevice->prepare()` or `FuDevice->write_firmware()` as enumeration may be different when loading emulated devices.